<?php

/** @phpcs-require-sorted-array */
$languageNames = [

	/** Not in CLDR34.
	 * But Wikipedias in these languages exist and/or used by Wikidata for monolingual text
	 */
	'abe' => 'Westliches Abenaki',
	# used by Wikidata, T155367
	'abq' => 'Abasinisch',
	# used by Wikidata, T155424
	'abq-latn' => 'Abasinisch',
	'abs' => 'Ambonesisches Malaysisch',
	'ady-cyrl' => 'Adygeisch (kyrillisch Schrift)',
	'aeb-arab' => 'Tunesisches Arabisch (arabische Schrift)',
	'aeb-latn' => 'Tunesisches Arabisch (lateinische Schrift)',
	# used by Wikidata, T190981
	'alc' => 'Kawesqar',
	'ami' => 'Amisisch',
	'azb' => 'Südaserbaidschanisch',
	'bat-smg' => 'Schemaitisch',
	'bbc-latn' => 'Batak Toba (lateinische Schrift)',
	'bcc' => 'Südliches Belutschi',
	'bci' => 'Baule',
	'bcl' => 'Zentralbikolano',
	# used by Wikidata, T234330
	'bdr' => 'Westküsten-Bajau',
	'be-tarask' => 'Weißrussisch (Taraschkewiza)',
	# still the internal code of be-tarask.wikipedia.org
	'be-x-old' => 'Weißrussisch (Taraschkewiza)',
	'bgp' => 'Östliches Belutschi',
	'bh' => 'Bhojpuri',
	# used by Wikidata, T263946
	'bkh' => 'Bakoko',
	# 'blk' => 'Pa\'O',', // German translation unassured
	'bnn' => 'Bunun',
	# used by Wikidata, T263946
	'bqz' => 'Bakaka',
	'bxr' => 'Russisches Burjatisch',
	# used by Wikidata, T278854
	'cak' => 'Cakchiquel',
	# used by Wikidata T266423
	'cal' => 'Karolinisch',
	'cbk-zam' => 'Chavacano',
	'cdo' => 'Min Dong',
	'cdo-hani' => 'Min Dong (Hanji)',
	'cja' => 'Westliches Cham',
	'cja-arab' => 'Westliches Cham (arabische Schrift)',
	'cja-cham' => 'Westliches Cham (Cham-Schrift)',
	'cja-latn' => 'Westliches Cham (lateinische Schrift)',
	'cjm' => 'Östliches Cham',
	'cjm-arab' => 'Östliches Cham (arabische Schrift)',
	'cjm-cham' => 'Östliches Cham (Cham-Schrift)',
	'cjm-latn' => 'Östliches Cham (lateinische Schrift)',
	'cjy' => 'Jin',
	'cjy-hans' => 'Jin (vereinfacht)',
	'cjy-hant' => 'Jin (traditionell)',
	# used by Wikidata, T240097
	'ckt' => 'Tschuktschisch',
	# used by Wikidata, T222020
	'clc' => 'Tschilcotin',
	# used by Wikidata, T278853
	'cnh' => 'Hakha Chin',
	'cnr' => 'Montenegrinisch',
	'crb' => 'Insel-Karibisch',
	'crh' => 'Krimtatarisch',
	'crh-cyrl' => 'Krimtatarisch (kyrillische Schrift)',
	'crh-latn' => 'Krimtatarisch (lateinische Schrift)',
	# used by Wikidata, T264532
	'crl' => 'Ost-Cree',
	# used by Wikidata, T240098
	'dag' => 'Dagbani',
	'de-formal' => 'Deutsch (Sie-Form)',
	# 'dlc' => 'Dalecarlian', // German translation unassured
	// https://d-nb.info/gnd/7543852-5
	'dty' => 'Doteli',
	# used by Wikidata, T198674
	'el-cy' => 'Zypriotisches Griechisch',
	'eml' => 'Emilianisch',
	# part of CldrNamesEn.php, missing in CLDR 38
	'en-au' => 'Australisches Englisch',
	'en-ca' => 'Kanadisches Englisch',
	'en-gb' => 'Britisches Englisch',
	'en-uk' => 'Britisches Englisch',
	'en-us' => 'Amerikanisches Englisch',
	# part of CldrNamesEn.php, missing in CLDR 39
	'es-419' => 'Lateinamerikanisches Spanisch',
	# part of CldrNamesEn.php, missing in CLDR 38
	'es-es' => 'Europäisches Spanisch',
	'es-formal' => 'Spanisch (formale Anrede)',
	# part of CldrNamesEn.php, missing in CLDR 38
	'es-mx' => 'Mexikanisches Spanisch',
	'ett' => 'Etruskisch',
	'fkv' => 'Kvenisch',
	'fr-ca' => 'Kanadisches Französisch',
	'fr-ch' => 'Schweizer Französisch',
	# 'fuf' => 'Pular', // German translation unassured
	'gan-hans' => 'Gan (Vereinfachte Schrift)',
	'gan-hant' => 'Gan (Traditionelle Schrift)',
	'gcr' => 'Französisch-Guayana Kreolisch',
	'gld' => 'Nanaisch',
	# used by Wikidata T217131
	'gml' => 'Mittelniederdeutsch',
	'gmy' => 'Mykenisches Griechisch',
	'gom-deva' => 'Goa-Konkani (Devanagari)',
	'gom-latn' => 'Goa-Konkani (lateinische Schrift)',
	# Added to core, T311975.
	'gpe' => 'Ghanaisches Pidgin-Englisch',
	# used by Wikidata, T262922
	'gsw-fr' => 'Elsässisch',
	# Added to core, T286460. Source: http://d-nb.info/gnd/1205170707
	'guw' => 'Gun',
	# used by Wikidata, T263946
	'gya' => 'Nordwest-Gbaya',
	'hak-hans' => 'Hakka (vereinfacht)',
	'hak-hant' => 'Hakka (traditionell)',
	'haz' => 'Hazaragi',
	'hbo' => 'Biblisches Hebräisch',
	'hif' => 'Fidschi-Hindi',
	'hif-latn' => 'Fidschi-Hindi (lateinische Schrift)',
	# used by Wikispecies, T303379
	'hts' => 'Hadza',
	'hu-formal' => 'Ungarisch (formale Anrede)',
	'hyw' => 'Westarmenisch',
	'ike-cans' => 'Inuktitut (kanadische Silbenschrift)',
	'ike-latn' => 'Inuktitut (lateinische Schrift)',
	# used by Wikidata, T195816
	'ja-hani' => 'Japanisch (Kanji-Schrift)',
	# used by Wikidata, T195816
	'ja-hira' => 'Japanisch (Hiragana-Schrift)',
	# used by Wikidata, T195816
	'ja-hrkt' => 'Japanisch (Kana-Schrift)',
	# used by Wikidata, T195816
	'ja-kana' => 'Japanisch (Katakana-Schrift)',
	'kbd-cyrl' => 'Kabardinisch (kyrillische Schrift)',
	'kbp' => 'Kabiyé',
	'kjh' => 'Chakassisch',
	'kjp' => 'Östliches Pwo',
	'kk-arab' => 'Kasachisch (arabische Schrift)',
	'kk-cn' => 'Kasachisch (China)',
	'kk-cyrl' => 'Kasachisch (kyrillische Schrift)',
	'kk-kz' => 'Kasachisch (Kasachstan)',
	'kk-latn' => 'Kasachisch (lateinische Schrift)',
	'kk-tr' => 'Kasachisch (Türkei)',
	# used by Wikidata, T198366
	'kld' => 'Kamilaroi',
	# 'knn' => 'Maharashtrian Konkani', // German translation unassured
	'ko-kp' => 'Koreanisch (Nordkorea)',
	'koy' => 'Koyukon',
	'ks-arab' => 'Kashmiri (arabische Schrift)',
	'ks-deva' => 'Kashmiri (Devanagari)',
	# Source:  http://d-nb.info/gnd/1197829903
	'ksw' => 'S\'gaw Karen',
	'ku-arab' => 'Kurdisch (arabische Schrift)',
	'ku-latn' => 'Kurdisch (lateinische Schrift)',
	'lbe' => 'Lakisch',
	# used by Wikidata, T234761
	'lcm' => 'Tungag',
	# used by Wikidata, T254968
	'lij-mc' => 'Monegassisch',
	'lki' => 'Leki',
	'lld' => 'Ladinisch',
	# used by Wikidata, T263946
	'lns' => 'Lamnso',
	'luz' => 'Südliches Lori',
	'map-bms' => 'Banyumasan',
	# used by Wikidata, T235468
	'mfa' => 'Pattani-Malaiisch',
	'mhr' => 'Ostmari',
	'mid' => 'Mandäisch',
	'mis' => 'nicht unterstützte Sprache',
	'mix' => 'Mixtepec Mixtekisch',
	'mo' => 'Moldawisch',
	'moe' => 'Innu',
	'ms-arab' => 'Malaiisch (Jawi-Schrift)',
	'mui' => 'Musi',
	'nah' => 'Nahuatl',
	'nl-informal' => 'Niederländusch (informelle Anrede)',
	'nmz' => 'Nawdm',
	# used by Wikidata, T263946
	'nnz' => 'Nda\'nda\'',
	'nod' => 'Lanna',
	# used by Wikidata T265782
	'non-runr' => 'Altnordisch (Runen-Schrift)',
	# used by Wikidata T165648
	'nrf-gg' => 'Guernésiais',
	# used by Wikidata T165648
	'nrf-je' => 'Jèrriais',
	'nrm' => 'Normannisch',
	'nsk' => 'Naskapi',
	'nxm' => 'Numidisch',
	# 'nys' => 'Nyunga', // German translation unassured
	# Added to Core, T283053
	'ojb' => 'Nordwestliches Ojibwe',
	# used by Wikidata, T195816
	'ojp' => 'Altjapanisch',
	# used by Wikidata, T195816
	'ojp-hani' => 'Altjapanisch (Kanji-Schrift)',
	# used by Wikidata, T195816
	'ojp-hira' => 'Altjapanisch (Hiragana-Schrift)',
	'olo' => 'Olonetzisch',
	'osa-latn' => 'Osage (lateinische Schrift)',
	'otk' => 'Alttürkisch',
	# used by Wikidata T275682
	'pap-aw' => 'Papiamentu (Aruba)',
	# used by Wikidata T155425
	'phn-latn' => 'Phönizisch (lateinische Schrift)',
	# used by Wikidata T155425
	'phn-phnx' => 'Phönizisch (phönizische Schrift)',
	# used by Wikidata T230881
	'pi-sidd' => 'Pali (Siddham-Schrift)',
	'pih' => 'Pitcairn-Englisch',
	'pnb' => 'Westliches Panjabi',
	# 'ppu' => 'Papora-Hoanya', // German translation unassured
	'prs' => 'Dari',
	'pt-br' => 'Brasilianisches Portugiesisch',
	# part of CldrNamesEn.php, missing in CLDR 38
	'pt-pt' => 'Europäisches Portugiesisch',
	# 'pwn' => 'Paiwan', // German translation unassured
	# 'pyu' => 'Puyuma', // German translation unassured
	# used by Wikidata, T185194
	'qya' => 'Quenya',
	'rm-puter' => 'Oberengadinisch',
	'rm-rumgr' => 'Rumantsch Grischun',
	'rm-surmiran' => 'Surmeirisch',
	'rm-sursilv' => 'Surselvisch',
	'rm-sutsilv' => 'Sutselvisch',
	'rm-vallader' => 'Vallader',
	# T223524
	'rmc' => 'Karpathen-Romani',
	# T223524
	'rmf' => 'Finnisches Romani',
	# T223524
	'rmg' => 'Skandinavisches Romani',
	# T223524
	'rml' => 'Baltisches Romani',
	# T223524
	'rmn' => 'Balkan-Romani',
	# T223524
	'rmo' => 'Sinte-Romani',
	# T223524
	'rmw' => 'Welsh-Roman',
	# T223524
	'rmy' => 'Vlax-Romani',
	'roa-rup' => 'Aromunisch',
	'roa-tara' => 'Tarandíne',
	'rsk' => 'Pannonisch-Russinisch',
	'ruq' => 'Meglenorumänisch',
	'ruq-cyrl' => 'Meglenorumänisch (kyrillische Schrift)',
	'ruq-grek' => 'Meglenorumänisch (griechische Schrift)',
	'ruq-latn' => 'Meglenorumänisch (lateinische Schrift)',
	'rwr' => 'Marwari (Indien)',
	# used by Wikidata T271215
	'ryu' => 'Okinawa',
	# used by Wikidata T230881
	'sa-sidd' => 'Sanskrit (Siddham-Schrift)',
	# needs upstream fix
	'sh' => 'Serbokroatisch',
	'shi-latn' => 'Taschelhit (lateinische Schrift)',
	'shi-tfng' => 'Taschelhit (Tifinagh-Schrift)',
	'shy' => 'Shawiya',
	'shy-arab' => 'Shawiya (arabische Schrift)',
	'shy-latn' => 'Shawiya (lateinische Schrift)',
	'shy-tfng' => 'Shawiya (Tifinagh-Schrift)',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sia' => 'Akkalasamisch',
	'simple' => 'einfaches Englisch',
	'sjd' => 'Kildinsamisch',
	'sje' => 'Pitesamisch',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjk' => 'Kemisamisch',
	# used by Wikidata, T185194
	'sjn' => 'Sindarin',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjt' => 'Tersamisch',
	'sju' => 'Umesamisch',
	'skr' => 'Saraiki',
	'skr-arab' => 'Saraiki (arabische Schrift)',
	'sr-ec' => 'Serbisch (kyrillische Schrift)',
	'sr-el' => 'Serbisch (lateinische Schrift)',
	# Added to core with T311034
	'sro' => 'Campidanesisch',
	# 'srq' => 'Sirionó', // German translation unassured
	'ssf' => 'Thao',
	'sty' => 'Sibirisches Tatarisch',
	# Added to core with T309763
	'tdd' => 'Tai Nüa',
	'tg-cyrl' => 'Tadschikisch (kyrillische Schrift)',
	'tg-latn' => 'Tadschikisch (lateinische Schrift)',
	# 'tlb' => 'Tobelo', // German translation unassured
	# used by Wikidata T220284
	'tnq' => 'Taíno',
	'tt-cyrl' => 'Tatarisch (kyrillische Schrift)',
	'tt-latn' => 'Tatarisch (lateinische Schrift)',
	'tzl' => 'Talossanisch',
	'ug-arab' => 'Uigurisch (arabische Schrift)',
	'ug-latn' => 'Uigurisch (lateinische Schrift)',
	'umu' => 'Munsee',
	'uun' => 'Pazeh',
	'uz-cyrl' => 'Usbekisch (kyrillische Schrift)',
	'uz-latn' => 'Usbekisch (lateinische Schrift)',
	'vmw' => 'Makua',
	# used by Wikidata, T263946
	'vut' => 'Wute',
	# used by Wikidata, T239411
	'wls' => 'Wallisianisch',
	'wya' => 'Wyandot',
	'xpu' => 'Punisch',
	# https://d-nb.info/gnd/1075555310
	'xsy' => 'Saisiyat',
	'ykg' => 'Tundrajukagirisch',
	'zh-classical' => 'klassisches Chinesisch',
	'zh-cn' => 'Chinesisch (China)',
	'zh-hk' => 'Chinesisch (Hongkong)',
	'zh-min-nan' => 'Chinesisch (Min Nan)',
	'zh-mo' => 'Chinesisch (Macau)',
	'zh-my' => 'Chinesisch (Malaysia)',
	'zh-sg' => 'Chinesisch (Singapur)',
	'zh-tw' => 'Chinesisch (Taiwan)',
	'zh-yue' => 'Kantonesisch',
];
