<?php

/** @phpcs-require-sorted-array */
$languageNames = [
	# Not in CLDR 34. Used for MediaWiki localisation
	'abe' => 'Western Abenaki',
	# used by Wikidata, T155367
	'abq' => 'Abaza',
	# used by Wikidata, T155424
	'abq-latn' => 'Abaza',
	'abs' => 'Ambonese Malay',
	'ady-cyrl' => 'Adyghe (Cyrillic script)',
	'aeb-arab' => 'Tunisian Arabic (Arabic script)',
	'aeb-latn' => 'Tunisian Arabic (Latin script)',
	# used by Wikidata, T190981
	'alc' => 'Kawésqar',
	'ami' => 'Amis',
	'azb' => 'South Azerbaijani',
	# used by Wikidata, T263946
	'bag' => 'Tuki',
	'bat-smg' => 'Samogitian',
	'bbc-latn' => 'Batak Toba (Latin script)',
	'bcc' => 'Southern Balochi',
	# Added to Core, not part of CLDR, T287345
	'bci' => 'Baoulé',
	'bcl' => 'Central Bikol',
	# used by Wikidata, T234330
	'bdr' => 'West Coast Bajau',
	'be-tarask' => 'Belarusian (Taraškievica orthography)',
	# internal code of be-tarask.wikipedia.org
	'be-x-old' => 'Belarusian (Taraškievica orthography)',
	'bgp' => 'Eastern Balochi',
	'bh' => 'Bhojpuri',
	# used by Wikidata, T263946
	'bkc' => 'Baka',
	# used by Wikidata, T263946
	'bkh' => 'Bakako',
	'blk' => 'Pa\'O',
	'bnn' => 'Bunun',
	# used by Wikidata, T263946
	'bqz' => 'Mka\'a',
	'bxr' => 'Russia Buriat',
	# used by Wikidata, T278854
	'cak' => 'Kaqchikel',
	# used by Wikidata, T266423
	'cal' => 'Carolinian',
	'cbk-zam' => 'Chavacano',
	'cdo' => 'Min Dong Chinese',
	# used by Wikidata, T180771
	'cdo-hani' => 'Min Dong Chinese (Hanji)',
	'cja' => 'Western Cham',
	'cja-arab' => 'Western Cham (Arabic script)',
	'cja-cham' => 'Western Cham (Cham script)',
	'cja-latn' => 'Western Cham (Latin script)',
	'cjm' => 'Eastern Cham',
	'cjm-arab' => 'Eastern Cham (Arabic script)',
	'cjm-cham' => 'Eastern Cham (Cham script)',
	'cjm-latn' => 'Eastern Cham (Latin script)',
	'cjy' => 'Jinyu',
	'cjy-hans' => 'Jinyu (Simplified)',
	'cjy-hant' => 'Jinyu (Traditional)',
	# used by Wikidata, T240097
	'ckt' => 'Chukchi',
	# used by Wikidata, T222020
	'clc' => 'Chilcotin',
	# used by Wikidata, T278853
	'cnh' => 'Hakha-Chin',
	'cnr' => 'Montenegrin',
	# used by Wikidata, T220284
	'crb' => 'Island Carib',
	'crh' => 'Crimean Tatar',
	'crh-cyrl' => 'Crimean Tatar (Cyrillic script)',
	'crh-latn' => 'Crimean Tatar (Latin script)',
	# used by Wikidata, T264532
	'crl' => 'East Cree',
	# used by Wikidata, T240098
	'dag' => 'Dagbani',
	'de-formal' => 'German (formal address)',
	'dlc' => 'Dalecarlian',
	# used by Wikidata, T267915
	'dru' => 'Rukai',
	'dty' => 'Doteli',
	# used by Wikidata, T198674
	'el-cy' => 'Cypriot Greek',
	'eml' => 'Emiliano-Romagnolo',
	# Missing en translation T256649
	'es-formal' => 'Spanish (formal address)',
	# used by Wikidata, T263946
	'eto' => 'Eton',
	'ett' => 'Etruscian',
	# used by Wikidata, T263946
	'etu' => 'Ejagham',
	'eya' => 'Eyak',
	'fkv' => 'Kvensk',
	# used by Wikidata, T263946
	'fmp' => 'Fe\'Fe\'',
	'fos' => 'Siraya',
	'fuf' => 'Pular',
	'gan-hans' => 'Gan (Simplified)',
	'gan-hant' => 'Gan (Traditional)',
	'gcr' => 'Guianan Creole',
	'gld' => 'Nanai',
	# used by Wikidata T217131
	'gml' => 'Middle Low German',
	'gmy' => 'Mycenaean Greek',
	'gom-deva' => 'Goan Konkani (Devanagari script)',
	'gom-latn' => 'Goan Konkani (Latin script)',
	# Added to core, T311975.
	'gpe' => 'Ghanaian Pidgin',
	# used by Wikidata, T262922
	'gsw-fr' => 'Alsatian',
	# Added to core, T286460
	'guw' => 'Gun',
	# used by Wikidata, T263946
	'gya' => 'Gbaya',
	# used by Wikidata, T180771
	'hak-hans' => 'Hakka (Simplified)',
	# used by Wikidata, T180771
	'hak-hant' => 'Hakka (Traditional)',
	'haz' => 'Hazaragi',
	# used by Wikidata, T155368
	'hbo' => 'Biblical Hebrew',
	'hif-latn' => 'Fiji Hindi (Latin script)',
	# used by Wikispecies, T303379
	'hts' => 'Hadza',
	# Missing en translation T256649
	'hu-formal' => 'Hungarian (formal address)',
	'hyw' => 'Western Armenian',
	'ike-cans' => 'Eastern Canadian (Aboriginal syllabics)',
	'ike-latn' => 'Eastern Canadian (Latin script)',
	# used by Wikidata, T263946
	'isu' => 'Isu',
	# used by Wikidata, T195816
	'ja-hani' => 'Japanese (Kanji script)',
	# used by Wikidata, T195816
	'ja-hira' => 'Japanese (Hiragana script)',
	# used by Wikidata, T195816
	'ja-hrkt' => 'Japanese (Kana script)',
	# used by Wikidata, T195816
	'ja-kana' => 'Japanese (Katakana script)',
	'kbd-cyrl' => 'Kabardian (Cyrillic script)',
	'kbp' => 'Kabiye',
	# used by Wikidata, T263946
	'ker' => 'Kera',
	'kjh' => 'Khakas',
	'kjp' => 'Eastern Pwo',
	'kk-arab' => 'Kazakh (Arabic script)',
	'kk-cn' => 'Kazakh (China)',
	'kk-cyrl' => 'Kazakh (Cyrillic script)',
	'kk-kz' => 'Kazakh (Kazakhstan)',
	'kk-latn' => 'Kazakh (Latin script)',
	'kk-tr' => 'Kazakh (Turkey)',
	# used by Wikidata, T198366
	'kld' => 'Gamilaraay',
	'knn' => 'Maharashtrian Konkani',
	'ko-kp' => 'Korean (North Korea)',
	'koy' => 'Koyukon',
	'ks-arab' => 'Kashmiri (Arabic script)',
	'ks-deva' => 'Kashmiri (Devanagari script)',
	'ksw' => 'S\'gaw Karen',
	'ku-arab' => 'Kurdish (Arabic script)',
	'ku-latn' => 'Kurdish (Latin script)',
	'lbe' => 'Lak',
	# used by Wikidata, T234761
	'lcm' => 'Tungag',
	# used by Wikidata, T263946
	'lem' => 'Nomaande',
	# used by Wikidata, T254968
	'lij-mc' => 'Monégasque',
	'lki' => 'Laki',
	'lld' => 'Ladin',
	# used by Wikidata, T263946
	'lns' => 'Lamnso\'',
	'luz' => 'Southern Luri',
	# used by Wikidata,  T293884
	'mcn' => 'Massa',
	# used by Wikidata, T263946
	'mcp' => 'Maka',
	# used by Wikidata, T235468
	'mfa' => 'Kelantan-Pattani Malay',
	'mhr' => 'Eastern Mari',
	'mid' => 'Mandaic',
	'mis' => 'unsupported language',
	# used by Wikidata T155419
	'mix' => 'Mixtec',
	'mnw' => 'Mon',
	'mo' => 'Moldovan',
	'moe' => 'Innu',
	# used by Wikidata, T270059
	'ms-arab' => 'Malay (Jawi script)',
	'mui' => 'Musi',
	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'mul' => 'multiple languages',
	# used by Wikidata, T180771
	'nan-hani' => 'Min Nan (Hanji)',
	# used by Wikidata, T263946
	'nge' => 'Ngémba',
	# Missing en translation T256649
	'nl-informal' => 'Dutch (informal address)',
	# used by Wikidata, T263946
	'nla' => 'Ngombala',
	'nmz' => 'Nawdm',
	# used by Wikidata, T263946
	'nnz' => 'Nda\'Nda\'',
	'nod' => 'Northern Thai',
	# used by Wikidata T265782
	'non-runr' => 'Old Norse (Runic script)',
	# used by Wikidata T165648
	'nrf-gg' => 'Guernésiais',
	# used by Wikidata T165648
	'nrf-je' => 'Jèrriais',
	'nrm' => 'Norman',
	# used by Wikidata T250246
	'nsk' => 'Naskapi',
	'nxm' => 'Numidian',
	# used by Wikidata, added in InitialiseSettings.php
	'nys' => 'Nyungar',
	# Added to Core, T283053
	'ojb' => 'Northwestern Ojibwe',
	# used by Wikidata, T195816
	'ojp' => 'Old Japanese',
	# used by Wikidata, T195816
	'ojp-hani' => 'Old Japanese (Kanji script)',
	# used by Wikidata, T195816
	'ojp-hira' => 'Old Japanese (Hiragana script)',
	'olo' => 'Livvi-Karelian',
	# used by Wikidata T265296
	'oma' => 'Omaha-Ponca',
	'ood' => "O'odham",
	# used by Wikidata T265297
	'osa-latn' => 'Osage (Latin script)',
	'otk' => 'Old Turkish',
	# used by Wikidata T275682
	'pap-aw' => 'Papiamento (Aruba)',
	# used by Wikidata T155425
	'phn-latn' => 'Phoenician (Latin script)',
	# used by Wikidata T155425
	'phn-phnx' => 'Phoenician (Phoenician script)',
	# used by Wikidata T230881
	'pi-sidd' => 'Pali (Siddham script)',
	'pjt' => 'Pitjantjatjara',
	'pnb' => 'Western Punjabi',
	'ppu' => 'Papora-Hoanya',
	'prs' => 'Dari',
	'pwn' => 'Paiwan',
	'pyu' => 'Puyuma',
	# used by Wikidata, T185194
	'qya' => 'Quenya',
	# used by Wikidata, T267479
	'rah' => 'Rabha',
	'rm-puter' => 'Putèr',
	'rm-rumgr' => 'Rumantsch Grischun',
	'rm-surmiran' => 'Surmiran',
	'rm-sursilv' => 'Sursilvan',
	'rm-sutsilv' => 'Sutsilvan',
	'rm-vallader' => 'Vallader',
	# T223524
	'rmc' => 'Carpathian Romani',
	# T223524
	'rmf' => 'Finnish Kalo',
	# T223524
	'rmg' => 'Traveller Norwegian',
	# T223524
	'rml' => 'Baltic Romani',
	# T223524
	'rmn' => 'Balkan Romani',
	# T223524
	'rmo' => 'Sinte Romani',
	# T223524
	'rmw' => 'Welsh-Romani',
	# T223524
	'rmy' => 'Vlax Romani',
	'roa-rup' => 'Aromanian',
	'roa-tara' => 'Tarantino',
	'rsk' => 'Pannonian Rusyn',
	'ruq' => 'Megleno-Romanian',
	'ruq-cyrl' => 'Megleno-Romanian (Cyrillic script)',
	'ruq-grek' => 'Megleno-Romanian (Greek script)',
	'ruq-latn' => 'Megleno-Romanian (Latin script)',
	'rwr' => 'Marwari (India)',
	# used by Wikidata T271215
	'ryu' => 'Okinawan',
	# used by Wikidata T230881
	'sa-sidd' => 'Sanskrit (Siddham script)',
	'shi-latn' => 'Tachelhit (Latin script)',
	'shi-tfng' => 'Tachelhit (Tifinagh script)',
	'shy' => 'Shawiya',
	'shy-arab' => 'Shawiya (Arabic script)',
	'shy-latn' => 'Shawiya (Latin script)',
	'shy-tfng' => 'Shawiya (Tifinagh script)',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sia' => 'Akkala Sámi',
	'sjd' => 'Kildin Sami',
	'sje' => 'Pite Sami',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjk' => 'Kemi Sámi',
	# used by Wikidata, T185194
	'sjn' => 'Sindarin',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjt' => 'Ter Sámi',
	'sju' => 'Ume Sami',
	'skr' => 'Saraiki',
	'skr-arab' => 'Saraiki (Arabic script)',
	'sr-ec' => 'Serbian (Cyrillic script)',
	'sr-el' => 'Serbian (Latin script)',
	# Added to core with T311034
	'sro' => 'Campidanese Sardinian',
	# used by Wikidata, added in InitialiseSettings.php
	'srq' => 'Sirionó',
	'ssf' => 'Thao',
	# Missing en translation T256649
	'sty' => 'Siberian Tatar',
	# Added to core with T309763
	'tdd' => 'Tai Nuea',
	'tg-cyrl' => 'Tajik (Cyrillic script)',
	'tg-latn' => 'Tajik (Latin script)',
	'tlb' => 'Tobelo',
	# used by Wikidata T286239
	'tlh-latn' => 'Klingon (Latin script)',
	# used by Wikidata T286239
	'tlh-piqd' => 'Klingon (Klingon script)',
	# used by Wikidata T220284
	'tnq' => 'Taíno',
	'tt-cyrl' => 'Tatar (Cyrillic script)',
	'tt-latn' => 'Tatar (Latin script)',
	# used by Wikidata, T263946
	'tvu' => 'Tunen',
	'tzl' => 'Talossan',
	'ug-arab' => 'Uyghur (Arabic script)',
	'ug-latn' => 'Uyghur (Latin script)',
	'umu' => 'Munsee',
	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'und' => 'undetermined language',
	# used by Wikidata, T265468
	'uun' => 'Pazeh',
	'uz-cyrl' => 'Uzbek (Cyrillic script)',
	'uz-latn' => 'Uzbek (Latin script)',
	'vmw' => 'Makhuwa',
	# used by Wikidata, T263946
	'vut' => 'Vute',
	# used by Wikidata, T263946
	'wes' => 'Pidgin (Cameroon)',
	# used by Wikidata, T239411
	'wls' => 'Wallisian',
	# used by Wikidata, T283364
	'wya' => 'Wyandot',
	'xpu' => 'Punic',
	'xsy' => 'Saisiyat',
	# used by Wikidata, T263946
	'yas' => 'Nugunu',
	# used by Wikidata, T263946
	'yat' => 'Yambeta',
	# used by Wikidata, T252198
	'ykg' => 'Tundra Yukaghir',
	'zh-classical' => 'Classical Chinese',
	'zh-cn' => 'Chinese (China)',
	'zh-hk' => 'Chinese (Hong Kong)',
	'zh-min-nan' => 'Chinese (Min Nan)',
	'zh-mo' => 'Chinese (Macau)',
	'zh-my' => 'Chinese (Malaysia)',
	'zh-sg' => 'Chinese (Singapore)',
	'zh-tw' => 'Chinese (Taiwan)',
	# language redirect
	'zh-yue' => 'Cantonese',
	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'zxx' => 'no linguistic content',
];
